From 797e9bb8ea88a150cfa4ca601eead36156be0cce Mon Sep 17 00:00:00 2001
From: Armin Hasitzka <armin@grabyo.com>
Date: Tue, 23 May 2023 11:16:59 +0100
Subject: [PATCH] avformat/hls: Forward stream metadata from subdemuxer

---
 libavformat/hls.c | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/libavformat/hls.c b/libavformat/hls.c
index 4fff4405e8..2a2fe28a54 100644
--- a/libavformat/hls.c
+++ b/libavformat/hls.c
@@ -1849,6 +1849,8 @@ static int set_stream_info_from_input_stream(AVStream *st, struct playlist *pls,
     // copy disposition
     st->disposition = ist->disposition;
 
+    av_dict_copy(&st->metadata, ist->metadata, 0);
+
     // copy side data
     for (int i = 0; i < ist->nb_side_data; i++) {
         const AVPacketSideData *sd_src = &ist->side_data[i];
-- 
2.40.1

